<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>WiaPropertyType (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WiaPropertyType (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WiaPropertyType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaSubType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/WiaPropertyType.html" target="_top">Frames</a></li>
<li><a href="WiaPropertyType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.wia</div>
<h2 title="Enum WiaPropertyType" class="title">Enum WiaPropertyType</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a>&gt;</li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.device.scanner.wia.WiaPropertyType</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com4j.ComEnum, <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">WiaPropertyType</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a>&gt;
implements com4j.ComEnum</pre>
<div class="block"><p>
 The WiaPropertyType enumeration specifies the type of the value of an item property. Item properties can be found in the Properties collection of a Device or Item object.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#BooleanPropertyType">BooleanPropertyType</a></span></code>
<div class="block">
 The value of the property is a Boolean.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#BytePropertyType">BytePropertyType</a></span></code>
<div class="block">
 The value of the property is a Byte.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#ClassIDPropertyType">ClassIDPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a String.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#CurrencyPropertyType">CurrencyPropertyType</a></span></code>
<div class="block">
 The value of the property is a Currency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#DatePropertyType">DatePropertyType</a></span></code>
<div class="block">
 The value of the property is a Date.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#DoublePropertyType">DoublePropertyType</a></span></code>
<div class="block">
 The value of the property is a Double.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#ErrorCodePropertyType">ErrorCodePropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Long.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#FileTimePropertyType">FileTimePropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Date.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#HandlePropertyType">HandlePropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Variant.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#IntegerPropertyType">IntegerPropertyType</a></span></code>
<div class="block">
 The value of the property is an Integer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#LargeIntegerPropertyType">LargeIntegerPropertyType</a></span></code>
<div class="block">
 The value of the property is a Large Integer returned as a truncated Long.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#LongPropertyType">LongPropertyType</a></span></code>
<div class="block">
 The value of the property is a Long.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#ObjectPropertyType">ObjectPropertyType</a></span></code>
<div class="block">
 The value of the property is an Object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#SinglePropertyType">SinglePropertyType</a></span></code>
<div class="block">
 The value of the property is a Single.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#StringPropertyType">StringPropertyType</a></span></code>
<div class="block">
 The value of the property is a String.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#UnsignedIntegerPropertyType">UnsignedIntegerPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a non-negative Integer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#UnsignedLargeIntegerPropertyType">UnsignedLargeIntegerPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a truncated non-negative Long.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#UnsignedLongPropertyType">UnsignedLongPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a non-negative Long.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#UnsupportedPropertyType">UnsupportedPropertyType</a></span></code>
<div class="block">
 The value of the property is an unsupported type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VariantPropertyType">VariantPropertyType</a></span></code>
<div class="block">
 The value of the property is a Variant.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfBooleansPropertyType">VectorOfBooleansPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Boolean elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfBytesPropertyType">VectorOfBytesPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Byte elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfClassIDsPropertyType">VectorOfClassIDsPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Vector object containing String elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfCurrenciesPropertyType">VectorOfCurrenciesPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Currency elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfDatesPropertyType">VectorOfDatesPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Date elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfDoublesPropertyType">VectorOfDoublesPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Double elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfErrorCodesPropertyType">VectorOfErrorCodesPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Vector object containing Long elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfFileTimesPropertyType">VectorOfFileTimesPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Vector object containing Date elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfIntegersPropertyType">VectorOfIntegersPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Integer elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfLargeIntegersPropertyType">VectorOfLargeIntegersPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Vector object containing truncated Long elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfLongsPropertyType">VectorOfLongsPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Long elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfSinglesPropertyType">VectorOfSinglesPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Single elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfStringsPropertyType">VectorOfStringsPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing String elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfUnsignedIntegersPropertyType">VectorOfUnsignedIntegersPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Vector object containing non-negative Integer elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfUnsignedLargeIntegersPropertyType">VectorOfUnsignedLargeIntegersPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Vector object containing truncated non-negative Long elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfUnsignedLongsPropertyType">VectorOfUnsignedLongsPropertyType</a></span></code>
<div class="block">
 The value of the property is returned as a Vector object containing non-negative Long elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#VectorOfVariantsPropertyType">VectorOfVariantsPropertyType</a></span></code>
<div class="block">
 The value of the property is a Vector object containing Variant elements.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#comEnumValue--">comEnumValue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="UnsupportedPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UnsupportedPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> UnsupportedPropertyType</pre>
<div class="block"><p>
 The value of the property is an unsupported type.
 </p>
 <p>
 The value of this constant is 0
 </p></div>
</li>
</ul>
<a name="BooleanPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BooleanPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> BooleanPropertyType</pre>
<div class="block"><p>
 The value of the property is a Boolean.
 </p>
 <p>
 The value of this constant is 1
 </p></div>
</li>
</ul>
<a name="BytePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BytePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> BytePropertyType</pre>
<div class="block"><p>
 The value of the property is a Byte.
 </p>
 <p>
 The value of this constant is 2
 </p></div>
</li>
</ul>
<a name="IntegerPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IntegerPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> IntegerPropertyType</pre>
<div class="block"><p>
 The value of the property is an Integer.
 </p>
 <p>
 The value of this constant is 3
 </p></div>
</li>
</ul>
<a name="UnsignedIntegerPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UnsignedIntegerPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> UnsignedIntegerPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a non-negative Integer.
 </p>
 <p>
 The value of this constant is 4
 </p></div>
</li>
</ul>
<a name="LongPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LongPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> LongPropertyType</pre>
<div class="block"><p>
 The value of the property is a Long.
 </p>
 <p>
 The value of this constant is 5
 </p></div>
</li>
</ul>
<a name="UnsignedLongPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UnsignedLongPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> UnsignedLongPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a non-negative Long.
 </p>
 <p>
 The value of this constant is 6
 </p></div>
</li>
</ul>
<a name="ErrorCodePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ErrorCodePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> ErrorCodePropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Long.
 </p>
 <p>
 The value of this constant is 7
 </p></div>
</li>
</ul>
<a name="LargeIntegerPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LargeIntegerPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> LargeIntegerPropertyType</pre>
<div class="block"><p>
 The value of the property is a Large Integer returned as a truncated Long.
 </p>
 <p>
 The value of this constant is 8
 </p></div>
</li>
</ul>
<a name="UnsignedLargeIntegerPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UnsignedLargeIntegerPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> UnsignedLargeIntegerPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a truncated non-negative Long.
 </p>
 <p>
 The value of this constant is 9
 </p></div>
</li>
</ul>
<a name="SinglePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SinglePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> SinglePropertyType</pre>
<div class="block"><p>
 The value of the property is a Single.
 </p>
 <p>
 The value of this constant is 10
 </p></div>
</li>
</ul>
<a name="DoublePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DoublePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> DoublePropertyType</pre>
<div class="block"><p>
 The value of the property is a Double.
 </p>
 <p>
 The value of this constant is 11
 </p></div>
</li>
</ul>
<a name="CurrencyPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CurrencyPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> CurrencyPropertyType</pre>
<div class="block"><p>
 The value of the property is a Currency.
 </p>
 <p>
 The value of this constant is 12
 </p></div>
</li>
</ul>
<a name="DatePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DatePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> DatePropertyType</pre>
<div class="block"><p>
 The value of the property is a Date.
 </p>
 <p>
 The value of this constant is 13
 </p></div>
</li>
</ul>
<a name="FileTimePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileTimePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> FileTimePropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Date.
 </p>
 <p>
 The value of this constant is 14
 </p></div>
</li>
</ul>
<a name="ClassIDPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ClassIDPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> ClassIDPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a String.
 </p>
 <p>
 The value of this constant is 15
 </p></div>
</li>
</ul>
<a name="StringPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>StringPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> StringPropertyType</pre>
<div class="block"><p>
 The value of the property is a String.
 </p>
 <p>
 The value of this constant is 16
 </p></div>
</li>
</ul>
<a name="ObjectPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ObjectPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> ObjectPropertyType</pre>
<div class="block"><p>
 The value of the property is an Object.
 </p>
 <p>
 The value of this constant is 17
 </p></div>
</li>
</ul>
<a name="HandlePropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HandlePropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> HandlePropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Variant.
 </p>
 <p>
 The value of this constant is 18
 </p></div>
</li>
</ul>
<a name="VariantPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VariantPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VariantPropertyType</pre>
<div class="block"><p>
 The value of the property is a Variant.
 </p>
 <p>
 The value of this constant is 19
 </p></div>
</li>
</ul>
<a name="VectorOfBooleansPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfBooleansPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfBooleansPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Boolean elements.
 </p>
 <p>
 The value of this constant is 101
 </p></div>
</li>
</ul>
<a name="VectorOfBytesPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfBytesPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfBytesPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Byte elements.
 </p>
 <p>
 The value of this constant is 102
 </p></div>
</li>
</ul>
<a name="VectorOfIntegersPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfIntegersPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfIntegersPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Integer elements.
 </p>
 <p>
 The value of this constant is 103
 </p></div>
</li>
</ul>
<a name="VectorOfUnsignedIntegersPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfUnsignedIntegersPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfUnsignedIntegersPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Vector object containing non-negative Integer elements.
 </p>
 <p>
 The value of this constant is 104
 </p></div>
</li>
</ul>
<a name="VectorOfLongsPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfLongsPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfLongsPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Long elements.
 </p>
 <p>
 The value of this constant is 105
 </p></div>
</li>
</ul>
<a name="VectorOfUnsignedLongsPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfUnsignedLongsPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfUnsignedLongsPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Vector object containing non-negative Long elements.
 </p>
 <p>
 The value of this constant is 106
 </p></div>
</li>
</ul>
<a name="VectorOfErrorCodesPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfErrorCodesPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfErrorCodesPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Vector object containing Long elements.
 </p>
 <p>
 The value of this constant is 107
 </p></div>
</li>
</ul>
<a name="VectorOfLargeIntegersPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfLargeIntegersPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfLargeIntegersPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Vector object containing truncated Long elements.
 </p>
 <p>
 The value of this constant is 108
 </p></div>
</li>
</ul>
<a name="VectorOfUnsignedLargeIntegersPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfUnsignedLargeIntegersPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfUnsignedLargeIntegersPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Vector object containing truncated non-negative Long elements.
 </p>
 <p>
 The value of this constant is 109
 </p></div>
</li>
</ul>
<a name="VectorOfSinglesPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfSinglesPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfSinglesPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Single elements.
 </p>
 <p>
 The value of this constant is 110
 </p></div>
</li>
</ul>
<a name="VectorOfDoublesPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfDoublesPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfDoublesPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Double elements.
 </p>
 <p>
 The value of this constant is 111
 </p></div>
</li>
</ul>
<a name="VectorOfCurrenciesPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfCurrenciesPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfCurrenciesPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Currency elements.
 </p>
 <p>
 The value of this constant is 112
 </p></div>
</li>
</ul>
<a name="VectorOfDatesPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfDatesPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfDatesPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Date elements.
 </p>
 <p>
 The value of this constant is 113
 </p></div>
</li>
</ul>
<a name="VectorOfFileTimesPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfFileTimesPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfFileTimesPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Vector object containing Date elements.
 </p>
 <p>
 The value of this constant is 114
 </p></div>
</li>
</ul>
<a name="VectorOfClassIDsPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfClassIDsPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfClassIDsPropertyType</pre>
<div class="block"><p>
 The value of the property is returned as a Vector object containing String elements.
 </p>
 <p>
 The value of this constant is 115
 </p></div>
</li>
</ul>
<a name="VectorOfStringsPropertyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VectorOfStringsPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfStringsPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing String elements.
 </p>
 <p>
 The value of this constant is 116
 </p></div>
</li>
</ul>
<a name="VectorOfVariantsPropertyType">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VectorOfVariantsPropertyType</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a> VectorOfVariantsPropertyType</pre>
<div class="block"><p>
 The value of the property is a Vector object containing Variant elements.
 </p>
 <p>
 The value of this constant is 119
 </p></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (WiaPropertyType c : WiaPropertyType.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaPropertyType</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="comEnumValue--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>comEnumValue</h4>
<pre>public&nbsp;int&nbsp;comEnumValue()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>comEnumValue</code>&nbsp;in interface&nbsp;<code>com4j.ComEnum</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WiaPropertyType.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaSubType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/WiaPropertyType.html" target="_top">Frames</a></li>
<li><a href="WiaPropertyType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
